/* ivmove.c - Test Integral Velocity move 
   aw - 16/9/00
*/

#include <stdio.h>
#include <stdlib.h>

#define LINUXBOT 1
#include "robot.c"

int main( int argc, char *argv[] )
{
	robot Bot;
	float lspeed, rspeed;
	
	if (argc != 3)
	{
		printf("Usage:  ivmove lspeed(m/s) rspeed(m/s)\n");
		exit(1);
	}
	
	lspeed = (float) atof( argv[1] );
	rspeed = (float) atof( argv[2] );
/*	printf("lspeed = %f, rspeed = %f\n", lspeed, rspeed); */

	if ( !accessPorts() )
	{
		printf("Port access denied.. root privileges needed!\n");
	}
	else
	{
		resetBot( &Bot );
		setMode( &Bot, IV_MODE );
		velMove( &Bot, lspeed, rspeed );
	}
}